Summary: An X Window System based text editor.
Name: xcoral
Version: 3.2
Release: 5
Copyright: GPL
Group: Applications/Editors
Source: ftp://ftp.x.org/contrib/editors/xcoral-%{version}.tar.gz
Patch: xcoral-resource.patch
Buildroot: %{_tmppath}/%{name}-root

%description
Xcoral is a multiwindow X Window System text editor with mouse
support.  Xcoral also includes a built-in browser for navigating
through C functions, C++ classes, methods and files.  A small built-in
ANSII C interpreter (SMAC) dynamically extends the editor's
capabilities (user functions, key bindings, modes, etc.).

Xcoral supports variable width fonts, menus, scrollbars, buttons,
search, regions, kill-buffers, macros and undo.  An online manual,
including a table of contents and an index, helps users to use and
customize the editor.  Commands are both menu driven and available as
keystrokes.  Documentation is not included in xcoral, but can be found
in the xcoral-docs package.

%package docs
Summary: The documentation for xcoral, provided in HTML format.
Group: Documentation

%description docs
Xcoral's HTML documentation is in a separate package because of its
size.  If you're installing xcoral and you aren't an expert at using
it, you should go ahead and install xcoral-docs.

%prep
%setup -q
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/xcoral
/usr/lib/xcoral

%files docs
%defattr(-,root,root)
%doc Doc

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- add %defattr(-,root,root)
- use %%{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- fixed problems with macros (Bug #9936)

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.2

* Mon Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated version
- fixed problems with sys_errlist

